YouTube · 搜索

关键词搜视频

传入关键词,返回匹配的视频,含标题、频道、播放量、时长、上传时间和摘要。

POST/v1/youtube/search

$0.003每条

1,000 条
≈ $3.00
每页(10 条)最低
$0.002232

可用试用额度能用 cursor 翻页

在控制台里试

差在哪

这个平台上还有 1 个接口卖的数据和它差不多。目录里写的差别:

接口每条每页最低每页条数能用 cursor 翻页参数字段数
/v1/youtube/search$0.003$0.00223210是keyword, uploadedWithin18
/v1/youtube/searchInChannel$0.003$0.00253是channels, keyword18

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/youtube/search" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"keyword":"mechanical keyboard review","uploadedWithin":"this_year"}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "video",
      "videoId": "3rKPzh3Pr0o",
      "url": "https://www.youtube.com/watch?v=3rKPz…",
      "channelAvatar": null,
      "channelHandle": null,
      "channelUrl": null,
      "channelVerified": null,
      "channelBio": null,
      "title": "Full-Sized Keyboards are FINALLY Good…",
      "description": "Thanks to Fanttik for sponsoring this…",
      "searchTotal": 1738277,
      "channelName": "Switch and Click",
      "channelId": "UCT6AJiTYspOILBK3hMWEq2g",
      "viewCount": 441953,
      "duration": "13:31",
      "publishedTimeText": "7 months ago",
      "isLive": false,
      "thumbnailUrl": "https://i.ytimg.com/vi/3rKPzh3Pr0o/hq…"
    },
    {
      "type": "video",
      "videoId": "LPAb9a6J2fg",
      "url": "https://www.youtube.com/watch?v=LPAb9…",
      "channelAvatar": null,
      "channelHandle": null,
      "channelUrl": null,
      "channelVerified": null,
      "channelBio": null,
      "title": "The Best Keyboard at Every Price (202…",
      "description": "... $350-$500 6:48 Over $500 8:09 Con…",
      "searchTotal": 1738277,
      "channelName": "Reid Wilking",
      "channelId": "UCGTxQKN8nd47EDvnbBWIY-g",
      "viewCount": 196996,
      "duration": "9:50",
      "publishedTimeText": "8 months ago",
      "isLive": false,
      "thumbnailUrl": "https://i.ytimg.com/vi/LPAb9a6J2fg/hq…"
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.006000",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 18

字段类型示例值
typestringvideo
videoIdstring3rKPzh3Pr0o
urlstringhttps://www.youtube.com/watch?v=3rKPzh3Pr0o
channelAvatarnullnull
channelHandlenullnull
channelUrlnullnull
channelVerifiednullnull
channelBionullnull
titlestringFull-Sized Keyboards are FINALLY Good in 2026.
descriptionstringThanks to Fanttik for sponsoring this video! Get 40% off tot…
searchTotalnumber1738277
channelNamestringSwitch and Click
channelIdstringUCT6AJiTYspOILBK3hMWEq2g
viewCountnumber441953
durationstring13:31
publishedTimeTextstring7 months ago
isLivebooleanfalse
thumbnailUrlstringhttps://i.ytimg.com/vi/3rKPzh3Pr0o/hq720.jpg?sqp=-oaymwEcCOg…

参数 3

参数名类型必填说明示例
limitinteger否返回多少条记录,1 到 100。一次请求返回的条数不会超过这个数。5
keywordstring是搜索关键词。Shorts、视频和频道搜索在为空时使用 "python";频道内搜索必须提供关键词。mechanical keyboard review
uploadedWithinstring否只返回该时间段内上传的视频。Shorts 搜索没有时间筛选。this_year

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"keyword":"mechanical keyboard review","uploadedWithin":"this_year"};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/youtube/search", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 10 条,每页最低收费 $0.002232;要 100 条的请求会取 10 页。

  • 1 条:最多 $0.003
  • 20 条:最多 $0.06
  • 100 条:最多 $0.30

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「关键词搜视频」要传哪些参数?

必填:keyword。可选:uploadedWithin。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.003。每页最低收费 $0.002232:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.30。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。